#pragma once

#include <string>
#include <exception>


namespace lm
{


class math_exception : public std::exception
{
public:
	math_exception(void) : std::exception() {}
	math_exception(const char* what) : m_LmWhat(what) {}

	virtual const char * what() const
	{
		return m_LmWhat.c_str();
	}


private:
	std::string m_LmWhat;
};


}
